%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-q-io
Version:        1.13.4
Release:        4%{?dist}
Summary:        Interfaces for IO using Q promises in JavaScript on Node.js
License:        MIT
URL:            https://github.com/kriskowal/q-io
Source0:        https://github.com/kriskowal/q-io/archive/v%{version}/q-io-%{version}.tar.gz
# Patch out tests that need internet access
Patch0:         nodejs-q-io-internet.patch
BuildArch:      noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jasmine-node)
BuildRequires:  npm(collections)
BuildRequires:  npm(mime)
BuildRequires:  npm(mimeparse)
BuildRequires:  npm(q)
BuildRequires:  npm(qs)
BuildRequires:  npm(url2)
%endif

%description
%{summary}.


%prep
%autosetup -p 1 -n q-io-%{version}
%nodejs_fixdep collections "^1.0.2"
%nodejs_fixdep mime
%nodejs_fixdep qs "^6.0.2"
%nodejs_fixdep url2 "^1.0.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/q-io
# fs-boot was previously a separate module but has now been merged into q-io.
# The fs-boot website (https://github.com/kriskowal/fs-boot) has this advice:
#   -- "Out of service — Please use Q-IO instead"
cp -pr package.json \
    buffer-stream.js deprecate.js \
    fs2http.js fs.js fs-boot.js fs-common.js fs-mock.js fs-root.js \
    http-apps/ http-apps.js http-cookie.js http.js reader.js writer.js \
    %{buildroot}%{nodejs_sitelib}/q-io

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/jasmine-node spec
%endif


%files
%doc README.md CHANGES.md
%license LICENSE
%{nodejs_sitelib}/q-io


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Jared Smith <jsmith@fedoraproject.org> - 1.13.4-1
- Update to upstream 1.13.4 release
- Relax dependency on npm(mime)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 1.13.2-1
- Update to 1.13.2 upstream release
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.11.0-1
- update to upstream release 1.11.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.4-2
- fix versioned dependency on npm(collections)

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.4-1
- update to upstream release 1.9.4

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-3
- fix versioned dependency on npm(url2)

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-2
- restrict to compatible arches

* Thu Jun 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-1
- update to upstream release 1.9.1

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.3-1
- update to upstream release 1.7.3

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.6.6-1
- update to upstream release 1.6.6

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5.2-1
- initial package
